Subject: Re: bug#23093: 25.0.92; Change for the worse: minibuffer completion window splits below rather that right

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Mar 2016 21:02:09 +0200

> Date: Tue, 22 Mar 2016 19:47:06 +0100
> From: martin rudalics <[email-masked]>
> 
>  > There seems to have been an (undocumented?) behaviour change -- now when
>  > using completion in the minibuffer the frame seems always to be split
>  > horizontally (into above-and-below windows) with the completions in the
>  > lower window.
>  >
>  > This change does not seem to me to be an improvement, as now far fewer
>  > of the available completions are visible at once.
> 
> Customizing ‘temp-buffer-max-height’ would fix that.
> 
>  > I suppose whether a "portrait" or "landscape" completions window is
>  > better probably depends on the number and length of the completions and
>  > also on the user's frame size, so presumably the splitting behaviour
>  > should be a user option.
> 
> It is.  Please customize ‘display-buffer-alist’ for the buffer named
> *Completions*.

Hmm... I see neither temp-buffer-resize-mode nor
temp-buffer-max-height are documented in the manual.  Would you please
add them (and maybe also discuss how to customize display-buffer-alist
for the *Completions* buffer)?  I expect other users to bump into
these issues.

TIA